          FUNCTION NJAN (NA,M,J,K)
!C   CALCUL DU NO DU JOUR DANS L'ANNEE (K=0),OU A PARTIR DU 1ER JOUR DE
!C      L'ANNEE BISSEXTILE PRECEDENTE (K=1)
      NJ=0
      I=NA-NA/4*4
      IF(M-2)35,20,25
20    NJ=31
      GO TO 35
25    NJ=30.6*(M-8)+212.5
      IF(I) 30,30,45
30    NJAN=NJ+J+1
      RETURN
35    IF(I) 40,40,45
40    NJAN=NJ+J
      RETURN
45    IF(K) 50,50,55
50    NJAN=NJ+J
      RETURN
55    NJAN=NJ+J+365*I+1
      RETURN
      END
